##############################
# zotan's bootstrap Brewfile #
##############################

# taps
tap "homebrew/bundle"
tap "homebrew/cask"
tap "homebrew/cask-drivers"
tap "homebrew/cask-versions"
tap "homebrew/core"
tap "homebrew/services"
tap "osx-cross/arm"
tap "osx-cross/avr"
tap "qmk/qmk"

# cli tools
## basic
brew "jq"
brew "bat"
brew "git"
brew "mtr"
brew "wget"
brew "htop"
brew "nano"
brew "ncdu"
brew "nmap"
brew "ldns" # provides drill
brew "whois"
brew "watch"
brew "stress"
brew "iperf3"
brew "ripgrep"
brew "openssh"
brew "iproute2mac"

## common
brew "mpc"
brew "aria2"
brew "xdelta"
brew "ffmpeg"
brew "pandoc"
brew "yt-dlp"
brew "ncmpcpp"
brew "sshuttle"
brew "neofetch"
brew "topgrade"
brew "qrencode"
brew "media-info"
brew "imagemagick"
brew "pinentry-mac"
brew "smartmontools"
brew "wireguard-tools"

## development
brew "gcc"
brew "glib"
brew "make"
brew "cmake"
brew "ninja"
brew "sqlite"
brew "dotnet"
brew "python"
brew "git-lfs"
brew "autoconf"
brew "automake"
brew "uncrustify"
brew "platformio"
brew "clang-format"
#brew "qmk/qmk/qmk" # FIXME: pillow dependency is currently broken
brew "rustup-init"
brew "rust-analyzer"

# desktop apps
## basic / UX improvements
cask "iterm2"
cask "alfred"
cask "itsycal"
cask "contexts"
cask "topnotch"
cask "bartender"
cask "rectangle"
cask "sublime-text"
cask "sublime-merge"
cask "google-chrome"

## messengers
cask "nheko"
cask "signal"
cask "discord"
cask "element"
cask "telegram"

## documents and synchronization
cask "obsidian"
cask "syncthing"
cask "google-drive"
#cask "mactex-no-gui" # disabled for disk space reasons

## data transfer and encryption
cask "transmit"
cask "gpg-suite"
cask "tor-browser"
cask "balenaetcher"
cask "monero-wallet"

## development
cask "hex-fiend"
cask "jetbrains-toolbox"

## media
cask "obs"
cask "mpv"
cask "iina"
cask "gimp"
cask "mp3tag"
cask "calibre"
cask "spotify"
cask "audacity"
cask "avidemux"
cask "inkscape"
cask "fl-studio"
cask "affinity-photo"

## gaming
cask "itch"
cask "steam"
cask "tetrio"
cask "melonds"
cask "multipatch"
cask "pokemon-reborn"
cask "pokemon-showdown"
cask "pokemon-trading-card-game-online"

## system
cask "utm"
cask "maciasl"
cask "daisydisk"
cask "little-snitch"
cask "plistedit-pro"
cask "amorphousdiskmark"
cask "carbon-copy-cloner"

## networking
cask "viscosity"
cask "wireshark"

## 3rd party app stores
cask "setapp"

## secondary software for testing and debugging
cask "firefox"
cask "telegram-desktop"

# App Store
## cli so we can actually manage these
brew "mas"

## Development
mas "Xcode", id: 497799835
mas "Apple Configurator", id: 1037126344

## iLife
mas "Keynote", id: 409183694
mas "Numbers", id: 409203825
mas "Pages", id: 409201541

## Other
mas "Amphetamine", id: 937984704
mas "Navigator", id: 1590354537
mas "Reeder", id: 1529448980
